{
  "/api/v1/annotation_layer/": {
    "delete": {
      "parameters": [
        {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/get_delete_ids_schema"
              }
            }
          },
          "in": "query",
          "name": "q"
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "message": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "CSS templates bulk delete"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Delete multiple annotation layers in a bulk operation",
      "tags": [
        "Annotation Layers"
      ]
    },
    "get": {
      "description": "Gets a list of annotation layers, use Rison or JSON query parameters for filtering, sorting, pagination and for selecting specific columns and metadata.",
      "parameters": [
        {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/get_list_schema"
              }
            }
          },
          "in": "query",
          "name": "q"
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "count": {
                    "description": "The total record count on the backend",
                    "type": "number"
                  },
                  "description_columns": {
                    "properties": {
                      "column_name": {
                        "description": "The description for the column name. Will be translated by babel",
                        "example": "A Nice description for the column",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  "ids": {
                    "description": "A list of item ids, useful when you don't know the column id",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "label_columns": {
                    "properties": {
                      "column_name": {
                        "description": "The label for the column name. Will be translated by babel",
                        "example": "A Nice label for the column",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  "list_columns": {
                    "description": "A list of columns",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "list_title": {
                    "description": "A title to render. Will be translated by babel",
                    "example": "List Items",
                    "type": "string"
                  },
                  "order_columns": {
                    "description": "A list of allowed columns to sort",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "result": {
                    "description": "The result from the get list query",
                    "items": {
                      "$ref": "#/components/schemas/AnnotationLayerRestApi.get_list"
                    },
                    "type": "array"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Items from Model"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Get a list of annotation layers",
      "tags": [
        "Annotation Layers"
      ]
    },
    "post": {
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/AnnotationLayerRestApi.post"
            }
          }
        },
        "description": "Annotation Layer schema",
        "required": true
      },
      "responses": {
        "201": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "id": {
                    "type": "number"
                  },
                  "result": {
                    "$ref": "#/components/schemas/AnnotationLayerRestApi.post"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Annotation added"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Create an annotation layer",
      "tags": [
        "Annotation Layers"
      ]
    }
  },
  "/api/v1/annotation_layer/_info": {
    "get": {
      "description": "Get metadata information about this API resource",
      "parameters": [
        {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/get_info_schema"
              }
            }
          },
          "in": "query",
          "name": "q"
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "add_columns": {
                    "type": "object"
                  },
                  "edit_columns": {
                    "type": "object"
                  },
                  "filters": {
                    "properties": {
                      "column_name": {
                        "items": {
                          "properties": {
                            "name": {
                              "description": "The filter name. Will be translated by babel",
                              "type": "string"
                            },
                            "operator": {
                              "description": "The filter operation key to use on list filters",
                              "type": "string"
                            }
                          },
                          "type": "object"
                        },
                        "type": "array"
                      }
                    },
                    "type": "object"
                  },
                  "permissions": {
                    "description": "The user permissions for this API resource",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Item from Model"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Get metadata information about this API resource",
      "tags": [
        "Annotation Layers"
      ]
    }
  },
  "/api/v1/annotation_layer/related/{column_name}": {
    "get": {
      "parameters": [
        {
          "in": "path",
          "name": "column_name",
          "required": true,
          "schema": {
            "type": "string"
          }
        },
        {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/get_related_schema"
              }
            }
          },
          "in": "query",
          "name": "q"
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/RelatedResponseSchema"
              }
            }
          },
          "description": "Related column data"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Get related fields data",
      "tags": [
        "Annotation Layers"
      ]
    }
  },
  "/api/v1/annotation_layer/{pk}": {
    "delete": {
      "parameters": [
        {
          "description": "The annotation layer pk for this annotation",
          "in": "path",
          "name": "pk",
          "required": true,
          "schema": {
            "type": "integer"
          }
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "message": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Item deleted"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Delete annotation layer",
      "tags": [
        "Annotation Layers"
      ]
    },
    "get": {
      "description": "Get an item model",
      "parameters": [
        {
          "in": "path",
          "name": "pk",
          "required": true,
          "schema": {
            "type": "integer"
          }
        },
        {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/get_item_schema"
              }
            }
          },
          "in": "query",
          "name": "q"
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "description_columns": {
                    "properties": {
                      "column_name": {
                        "description": "The description for the column name. Will be translated by babel",
                        "example": "A Nice description for the column",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  "id": {
                    "description": "The item id",
                    "type": "string"
                  },
                  "label_columns": {
                    "properties": {
                      "column_name": {
                        "description": "The label for the column name. Will be translated by babel",
                        "example": "A Nice label for the column",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  "result": {
                    "$ref": "#/components/schemas/AnnotationLayerRestApi.get"
                  },
                  "show_columns": {
                    "description": "A list of columns",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "show_title": {
                    "description": "A title to render. Will be translated by babel",
                    "example": "Show Item Details",
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Item from Model"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Get an annotation layer",
      "tags": [
        "Annotation Layers"
      ]
    },
    "put": {
      "parameters": [
        {
          "description": "The annotation layer pk for this annotation",
          "in": "path",
          "name": "pk",
          "required": true,
          "schema": {
            "type": "integer"
          }
        }
      ],
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/AnnotationLayerRestApi.put"
            }
          }
        },
        "description": "Annotation schema",
        "required": true
      },
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "id": {
                    "type": "number"
                  },
                  "result": {
                    "$ref": "#/components/schemas/AnnotationLayerRestApi.put"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Annotation changed"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Update an annotation layer",
      "tags": [
        "Annotation Layers"
      ]
    }
  },
  "/api/v1/annotation_layer/{pk}/annotation/": {
    "delete": {
      "parameters": [
        {
          "description": "The annotation layer pk for this annotation",
          "in": "path",
          "name": "pk",
          "required": true,
          "schema": {
            "type": "integer"
          }
        },
        {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/get_delete_ids_schema"
              }
            }
          },
          "in": "query",
          "name": "q"
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "message": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Annotations bulk delete"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Bulk delete annotation layers",
      "tags": [
        "Annotation Layers"
      ]
    },
    "get": {
      "description": "Gets a list of annotation layers, use Rison or JSON query parameters for filtering, sorting, pagination and for selecting specific columns and metadata.",
      "parameters": [
        {
          "description": "The annotation layer id for this annotation",
          "in": "path",
          "name": "pk",
          "required": true,
          "schema": {
            "type": "integer"
          }
        },
        {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/get_list_schema"
              }
            }
          },
          "in": "query",
          "name": "q"
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "count": {
                    "description": "The total record count on the backend",
                    "type": "number"
                  },
                  "ids": {
                    "description": "A list of annotation ids",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "result": {
                    "description": "The result from the get list query",
                    "items": {
                      "$ref": "#/components/schemas/AnnotationRestApi.get_list"
                    },
                    "type": "array"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Items from Annotations"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Get a list of annotation layers",
      "tags": [
        "Annotation Layers"
      ]
    },
    "post": {
      "parameters": [
        {
          "description": "The annotation layer pk for this annotation",
          "in": "path",
          "name": "pk",
          "required": true,
          "schema": {
            "type": "integer"
          }
        }
      ],
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/AnnotationRestApi.post"
            }
          }
        },
        "description": "Annotation schema",
        "required": true
      },
      "responses": {
        "201": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "id": {
                    "type": "number"
                  },
                  "result": {
                    "$ref": "#/components/schemas/AnnotationRestApi.post"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Annotation added"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Create an annotation layer",
      "tags": [
        "Annotation Layers"
      ]
    }
  },
  "/api/v1/annotation_layer/{pk}/annotation/{annotation_id}": {
    "delete": {
      "parameters": [
        {
          "description": "The annotation layer pk for this annotation",
          "in": "path",
          "name": "pk",
          "required": true,
          "schema": {
            "type": "integer"
          }
        },
        {
          "description": "The annotation pk for this annotation",
          "in": "path",
          "name": "annotation_id",
          "required": true,
          "schema": {
            "type": "integer"
          }
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "message": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Item deleted"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Delete annotation layer",
      "tags": [
        "Annotation Layers"
      ]
    },
    "get": {
      "parameters": [
        {
          "description": "The annotation layer pk for this annotation",
          "in": "path",
          "name": "pk",
          "required": true,
          "schema": {
            "type": "integer"
          }
        },
        {
          "description": "The annotation pk",
          "in": "path",
          "name": "annotation_id",
          "required": true,
          "schema": {
            "type": "integer"
          }
        },
        {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/get_item_schema"
              }
            }
          },
          "in": "query",
          "name": "q"
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "id": {
                    "description": "The item id",
                    "type": "string"
                  },
                  "result": {
                    "$ref": "#/components/schemas/AnnotationRestApi.get"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Item from Model"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Get an annotation layer",
      "tags": [
        "Annotation Layers"
      ]
    },
    "put": {
      "parameters": [
        {
          "description": "The annotation layer pk for this annotation",
          "in": "path",
          "name": "pk",
          "required": true,
          "schema": {
            "type": "integer"
          }
        },
        {
          "description": "The annotation pk for this annotation",
          "in": "path",
          "name": "annotation_id",
          "required": true,
          "schema": {
            "type": "integer"
          }
        }
      ],
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/AnnotationRestApi.put"
            }
          }
        },
        "description": "Annotation schema",
        "required": true
      },
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "id": {
                    "type": "number"
                  },
                  "result": {
                    "$ref": "#/components/schemas/AnnotationRestApi.put"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Annotation changed"
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Update an annotation layer",
      "tags": [
        "Annotation Layers"
      ]
    }
  }
}\n